using Contracts.BindingModels;
using Contracts.SearchModels;
using Contracts.ViewModels;

namespace Contracts.BusinessLogicsContracts
{
	public interface IWorkshopLogic
	{
		List<WorkshopViewModel>? ReadList(WorkshopSearchModel? model);
		WorkshopViewModel? ReadElement(WorkshopSearchModel? model);
		bool Create(WorkshopBindingModel? model);
		bool Update(WorkshopBindingModel? model);
		bool Delete(WorkshopBindingModel? model);
	}
}
